summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorShireesh Anjal <shireesh@gluster.com>2011-12-12 20:21:01 +0530
committerShireesh Anjal <shireesh@gluster.com>2011-12-12 20:21:01 +0530
commite17a60c6b4e8a1196ebd4269c21f43ffba73869f (patch)
tree5b8184bae04db91bf3c96ef5a4be7b372e8b446a
parent1a405038ab30aadcfb7d2eac33e32a54df537fec (diff)
Fixed dependency checking in gmg-backend-install.sh
-rwxr-xr-xbuild/gmg-backend-install.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/build/gmg-backend-install.sh b/build/gmg-backend-install.sh
index 5893f5d2..98aec67b 100755
--- a/build/gmg-backend-install.sh
+++ b/build/gmg-backend-install.sh
@@ -44,7 +44,7 @@ function pre()
quit "/sbin/chkconfig not found!" ${CHKCONFIG_ERR}
fi
- if which python 1>/dev/null 2>/dev/null; then
+ if ! which python 1>/dev/null 2>/dev/null; then
quit "python not found" -2
fi
@@ -53,7 +53,7 @@ function pre()
quit "python version 2.4+ and less than 3.0 is required" -2
fi
- if which perl 1>/dev/null 2>/dev/null; then
+ if ! which perl 1>/dev/null 2>/dev/null; then
quit "perl not found" -2
fi
@@ -61,7 +61,7 @@ function pre()
quit "perl::RRDs not found" -2
fi
- if which smbd 1>/dev/null 2>/dev/null; then
+ if ! which smbd 1>/dev/null 2>/dev/null; then
quit "samba not found" -2
fi